Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.cim
Class UnsignedInt64

    java.lang.Object
      |
      +--java.lang.Number
            |
            +--java.math.BigInteger
                  |
                  +--com.sun.wbem.cim.UnsignedInt64

public class UnsignedInt64
extends java.math.BigInteger
implements java.io.Serializable

Creates and instantiates an unsigned 64-bit integer object. The CIMDataType class uses this class to instantiate valid CIM data types.

Since:
  WBEM 1.0
See Also:
  Serialized Form

Field Summary
`static java.math.BigInteger` | `MAX_VALUE` the maximum value this BigInteger can have
`static java.math.BigInteger` | `MIN_VALUE` the minimum value this BigInteger can have

Fields inherited from class java.math.BigInteger
`ONE, ZERO`

Constructor Summary
`UnsignedInt64(java.math.BigInteger input)` Constructor creates an unsigned 64-bit integer object for the specified BigInteger.
`UnsignedInt64(byte[] bval)` Constructor creates an unsigned 64-bit integer object for the specified array of bytes.
`UnsignedInt64(java.lang.String sval)` Constructor creates an unsigned 64-bit integer object for the specified string.

Method Summary
`boolean` | `equals(java.lang.Object o)` Compares this unsigned 64-bit integer object with the specified object for equality

Methods inherited from class java.math.BigInteger
`abs, add, and, andNot, bitCount, bitLength, clearBit, compareTo, compareTo, divide, divideAndRemainder, doubleValue, flipBit, floatValue, gcd, getLowestSetBit, hashCode, intValue, isProbablePrime, longValue, max, min, mod, modInverse, modPow, multiply, negate, not, or, pow, remainder, setBit, shiftLeft, shiftRight, signum, subtract, testBit, toByteArray, toString, toString, valueOf, xor`

Methods inherited from class java.lang.Number
`byteValue, shortValue`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MAX_VALUE

    public static final java.math.BigInteger MAX_VALUE

  the maximum value this BigInteger can have

### MIN_VALUE

    public static final java.math.BigInteger MIN_VALUE

  the minimum value this BigInteger can have

Constructor Detail

### UnsignedInt64

    public UnsignedInt64(java.lang.String sval)
                  throws java.lang.NumberFormatException

  Constructor creates an unsigned 64-bit integer object for the specified string. Only the bottom 64 bits are considered.

### UnsignedInt64

    public UnsignedInt64(byte[] bval)
                  throws java.lang.NumberFormatException

  Constructor creates an unsigned 64-bit integer object for the specified array of bytes. Only the bottom 64 bits are considered.

### UnsignedInt64

    public UnsignedInt64(java.math.BigInteger input)

  Constructor creates an unsigned 64-bit integer object for the specified BigInteger. Only the bottom 64 bits are considered.

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Compares this unsigned 64-bit integer object with the specified object for equality
  Overrides:
    equals in class java.math.BigInteger
  Returns:
    boolean true if the specified object is an unsigned 64-bit integer object. Otherwise, false.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD